Subject: Re: [Re: [clisp-list] Another Question (re: clisp rpm)]

From: Thomas Goodsell <[email-masked]>
Date: 13 Jul 00 08:57:26 EDT

Much thanks; it works great now.

Perhaps I should rephrase -- I like the convenience of package systems, when
they work.

Thanks Again,
Thom

Bruno Haible <[email-masked]> wrote:
> Thomas Goodsell writes:
> > I've another question.  I installed the clisp-2000.03.06-1mdk rpm (from
> > rpmfind.net) and it's giving me fits.  When I run /usr/bin/clisp, I get
this
> > lovely message:
> > /usr/bin/clisp: /var/tmp/clisp-buildroot/usr/lib/clisp/base/lisp.run: No
such
> > file or directory
> > 
> > I can start things up manually, using lisp.run -M lispinit.mem, but that's
a
> > pain.  I can also compile and install from source and have everything run
> > nicely.  I'd really like to keep the RPM, though (I like package
systems).
> 
> The above message is a reason to dislike package systems, isn't it?
> 
> > I'm guessing I need to recreate the /usr/bin/clisp binary.  Is there any
way
> > to do this without source?  How should it be done (with or without
source)?
> 
> Try the following commands:
> 
>     sed -e 's%/var/tmp/clisp-buildroot%////////////////////////%g' \
>        < /usr/bin/clisp > /usr/bin/clisp.new
>     chmod a+rx /usr/bin/clisp.new
>     mv /usr/bin/clisp.new /usr/bin/clisp
> 
> Bruno

____________________________________________________________________
Get free email and a permanent address at http://www.amexmail.com/?A=1